WaLinuxAgent 2.2.9 Packaging

Bug #1683521 reported by Daniel Sol on 2017-04-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
High
Łukasz Zemczak
Trusty
High
Łukasz Zemczak
Xenial
High
Łukasz Zemczak
Yakkety
High
Łukasz Zemczak
Zesty
High
Łukasz Zemczak

Bug Description

[Impact]
This release contains both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/walinuxagentUpdates

The Microsoft Azure Linux Agent team will execute their testsuite, which
includes extension testing , against the walinuxagent that is in -proposed. A successful run will be required before the proposed walinuxagent can be let into -updates.

The CPC team will be in charge of attaching a summary of testing to the bug. CPC team members will not mark ‘verification-done’ until this has happened.

[Original Description]
It is with great pleasure I am pleased to announce that the Linux Agent (WALA) version 2.2.9 has now been signed off and is in Master now, it is of huge thanks to the dev team behind it who have really done a great job and for those of you who have contributed with feedback to make it better.

Next Steps
Please find the details of the items built into this release.

We would like you to package this version for 14.04/16.04/16.10/17.10) and test it within your images, please can you file any bugs in Github, as this is monitored by our dev team.

If you have any questions please reach out to me directly or raise it through Github.

Highlights of Release(2.2.7, 2.2.8 and 2.2.9)

 2.2.7
• [#625] Enabled PageBlob support through HostGAPlugin
 2.2.8
• [#649] Improve host plugin failure handling
• [#647] Add telemetry for put status failures
• [#646] Improve extension handler logging
• [#645] Reduce guest agent update logging
• [#644] Add basic 32-bit support to interface detection
• [#641] Better heartbeat exception handling
• [#640] Better unhandled exception logging
• [#638] Improve NSG state management
• [#637] Better handling and cleanup of old events
• [#635] Pass environment variables to subprocess
• [#634] Improve RDMA package matching
• [#629] Better handling of resource disk mounting
• [#624] Data disks udev rule
• [#614] Add support for EulerOS
 2.2.9
• [#665] Networking logging cleanup
• [#666] Keygen logging cleanup
• [#667] Reduce the monitoring loop wait time

Changed in walinuxagent (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
Changed in walinuxagent (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Łukasz Zemczak (sil2100) wrote :

A quick note: I will prepare all the packaging and do preliminary local testing but afterwards we'll be basically stalled until the aa (17.10) archive is opened (no name for it yet, so it might take a bit).

Download full text (3.2 KiB)

Hi Lukasz,
Thanks for getting back to me, can you get this out for all other versions except 17.10?

Thanks,

Dan

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Lukasz Zemczak
Sent: Tuesday, April 18, 2017 3:33 AM
To: Daniel Sol <email address hidden>
Subject: [Bug 1683521] Re: WaLinuxAgent 2.2.9 Packaging

A quick note: I will prepare all the packaging and do preliminary local testing but afterwards we'll be basically stalled until the aa (17.10) archive is opened (no name for it yet, so it might take a bit).

--
You received this bug notification because you are subscribed to the bug report.
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fbugs.launchpad.net%2Fbugs%2F1683521&data=02%7C01%7Cdanis%40microsoft.com%7C2279bce2498d4e32da7f08d4864779b6%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636281088918665536&sdata=faMgmHxEvy9qALiXBL4tvHIPBpqoOKrZxNJgrTcKpfQ%3D&reserved=0

Title:
  WaLinuxAgent 2.2.9 Packaging

Status in walinuxagent package in Ubuntu:
  Confirmed
Status in walinuxagent source package in Trusty:
  New
Status in walinuxagent source package in Xenial:
  New
Status in walinuxagent source package in Yakkety:
  New
Status in walinuxagent source package in Zesty:
  Confirmed

Bug description:
  It is with great pleasure I am pleased to announce that the Linux Agent (WALA) version 2.2.9 has now been signed off and is in Master now, it is of huge thanks to the dev team behind it who have really done a great job and for those of you who have contributed with feedback to make it better.

  Next Steps
  Please find the details of the items built into this release.

  We would like you to package this version for 14.04/16.04/16.10/17.10) and test it within your images, please can you file any bugs in Github, as this is monitored by our dev team.

  If you have any questions please reach out to me directly or raise it through Github.

  Highlights of Release(2.2.8 and 2.2.9)

   2.2.8
  • [#649] Improve host plugin failure handling
  • [#647] Add telemetry for put status failures
  • [#646] Improve extension handler logging
  • [#645] Reduce guest agent update logging
  • [#644] Add basic 32-bit support to interface detection
  • [#641] Better heartbeat exception handling
  • [#640] Better unhandled exception logging
  • [#638] Improve NSG state management
  • [#637] Better handling and cleanup of old events
  • [#635] Pass environment variables to subprocess
  • [#634] Improve RDMA package matching
  • [#629] Better handling of resource disk mounting
  • [#624] Data disks udev rule
  • [#614] Add support for EulerOS
  2.2.9
  • [#665] Networking logging cleanup
  • [#666] Keygen logging cleanup
  • [#667] Reduce the monitoring loop wait time

To manage notifications about this bug go to:
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fbugs.launchpad.net%2Fubuntu%2F%2Bsource%2Fwalinuxagent%2F%2Bbug%2F1683521%2F%2Bsubscriptions&data=02%7C01%7Cdanis%40microsoft.com%7C2279bce2498d4e32da7f08d4864779b6%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636281088918675544&sdata=R80dZhbf%...

Read more...

Łukasz Zemczak (sil2100) wrote :

Sure thing, we're all ready with the packages and slowly finishing local testing. Once that's done I'll upload to zesty, yakkety, xenial and trusty. I expect those to land in the -proposed pockets tomorrow - and after the 7-day testing (grace) period they should be available in -updates.

description: updated
Changed in walinuxagent (Ubuntu Trusty):
assignee: nobody → Łukasz Zemczak (sil2100)
Changed in walinuxagent (Ubuntu Xenial):
assignee: nobody → Łukasz Zemczak (sil2100)
Changed in walinuxagent (Ubuntu Yakkety):
assignee: nobody → Łukasz Zemczak (sil2100)
Changed in walinuxagent (Ubuntu Trusty):
status: New → In Progress
Changed in walinuxagent (Ubuntu Xenial):
status: New → In Progress
Changed in walinuxagent (Ubuntu Yakkety):
status: New → In Progress
Changed in walinuxagent (Ubuntu Zesty):
status: Confirmed → In Progress
Changed in walinuxagent (Ubuntu Yakkety):
importance: Undecided → High
Changed in walinuxagent (Ubuntu Xenial):
importance: Undecided → High
Changed in walinuxagent (Ubuntu Trusty):
importance: Undecided → High
description: updated

Hello Daniel, or anyone else affected,

Accepted walinuxagent into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.9-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in walinuxagent (Ubuntu Yakkety):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Daniel, or anyone else affected,

Accepted walinuxagent into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.9-0ubuntu1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Xenial):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Daniel, or anyone else affected,

Accepted walinuxagent into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.9-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Trusty):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Daniel, or anyone else affected,

Accepted walinuxagent into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.9-0ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.9-0ubuntu1

---------------
walinuxagent (2.2.9-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1683521).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 18 Apr 2017 12:27:57 +0200

Changed in walinuxagent (Ubuntu):
status: In Progress → Fix Released
Francis Ginther (fginther) wrote :

Testing complete and passed for zesty and yakkety.

tags: added: verification-done-zesty
tags: added: verification-done-yakkety
Francis Ginther (fginther) wrote :

Tested 2.2.9-0ubuntu1 for zesty and 2.2.9-0ubuntu1~16.10.1 for yakkety.

Francis Ginther (fginther) wrote :

Testing complete on xenial (2.2.9-0ubuntu1~16.04.1) and trusty (2.2.9-0ubuntu1~14.04.1).

All tests passed on all releases.

This completes the cpc team proposed sru testing defined in https://wiki.ubuntu.com/walinuxagentUpdates.

tags: added: verification-done-trusty verification-done-xenial

The verification of the Stable Release Update for walinuxagent has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.9-0ubuntu1~16.10.1

---------------
walinuxagent (2.2.9-0ubuntu1~16.10.1) yakkety; urgency=medium

  * Backport zesty version to yakkety.
  * New upstream release (LP: #1683521).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 18 Apr 2017 12:27:57 +0200

Changed in walinuxagent (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.9-0ubuntu1~16.04.1

---------------
walinuxagent (2.2.9-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport zesty version to xenial.
  * New upstream release (LP: #1683521).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 18 Apr 2017 12:27:57 +0200

Changed in walinuxagent (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.9-0ubuntu1~14.04.1

---------------
walinuxagent (2.2.9-0ubuntu1~14.04.1) trusty; urgency=medium

  * Backport zesty version to trusty.
  * New upstream release (LP: #1683521).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 18 Apr 2017 12:27:57 +0200

Changed in walinuxagent (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.9-0ubuntu1

---------------
walinuxagent (2.2.9-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1683521).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 18 Apr 2017 12:27:57 +0200

Changed in walinuxagent (Ubuntu Zesty):
status: Fix Committed → Fix Released
tags: added: id-5910b1e0a2e0499e54bca849
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers